Bug 733117 - Please support /etc/os-release
Summary: Please support /etc/os-release
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 19:39 UTC by Lennart Poettering
Modified: 2012-02-09 20:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 17:50:02 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-24 19:39:17 UTC
Via systemd we are currently are trying to push distros to support a file /etc/os-release superceding the various /etc/fedora-release files (and equivalents) the various distros use. /etc/os-release is supposed to be the one-stop file that everybody can just rely on is there and includes both human-readable and machine-parseable data, and is extensible for additional keys. Basically the idea here is to keep the promise lsb_release tried to make except that it is simple and just works, and does not require running shell scripts and such.

So far many smaller distros have adopted it and SUSE has as well. It would be great if Fedora would adopt this file, too.

/etc/os-release can be supported in addition to /etc/fedora-release in order to keep compatibility.

/etc/os-release is fully documented in os-release(5):

http://0pointer.de/public/systemd-man/os-release.html

A proposed file would look like this:

NAME=Fedora
VERSION="16 (Verne)"
ID=fedora
VERSION_ID=17
PRETTY_NAME="Fedora 16 (Verne)"
ANSI_COLOR=0;34

Comment 1 Lennart Poettering 2012-02-02 22:44:02 UTC
Any update on this? SUSE and a lot of other distros now support this, and so should we, really.

Comment 2 Lennart Poettering 2012-02-08 15:49:57 UTC
Ping!

Comment 3 Dennis Gilmore 2012-02-08 17:50:02 UTC
added in fedora-release-18-0.1 and fedora-release-17-0.7

Comment 4 Richard W.M. Jones 2012-02-09 08:41:13 UTC
According to my check script, /etc/os-release now exists
in two packages (systemd & fedora-release), although it's
a %ghost file in systemd.

Is this intentional?  Can it be removed from systemd.spec now
that it's in fedora-release?

Comment 5 Lennart Poettering 2012-02-09 20:29:45 UTC
Richard, you are right. Will remove it now from systemd. Thanks!


Note You need to log in before you can comment on or make changes to this bug.